package com.zcloud.zcGbsServicer.command.convertor;

import com.zcloud.zcGbsServicer.domain.model.ControlRoomE;
import com.zcloud.zcGbsServicer.dto.clientobject.ControlRoomCO;
import com.zcloud.zcGbsServicer.dto.clientobject.ControlRoomScreenCO;
import com.zcloud.zcGbsServicer.dto.clientobject.ResourceDeviceCO;
import com.zcloud.zcGbsServicer.dto.clientobject.ResourcePersonCO;
import com.zcloud.zcGbsServicer.persistence.dataobject.ControlRoomDO;
import com.zcloud.zcGbsServicer.persistence.dataobject.ResourceDeviceDO;
import com.zcloud.zcGbsServicer.persistence.dataobject.ResourcePersonDO;
import org.mapstruct.Mapper;

import java.util.List;



/**
* web-app
* @Author makejava
* @Date 2026-01-21 17:21:48
*/
@Mapper(componentModel = "spring")
public interface ControlRoomCoConvertor {
    /**
    * @param controlRoomDOs
    * @return
    */
    List<ControlRoomCO> converDOsToCOs(List<ControlRoomDO> controlRoomDOs);

    List<ControlRoomScreenCO> converDOsToScreenCOs(List<ControlRoomDO> controlRoomDOs);

    List<ControlRoomE> converDOsToE(List<ControlRoomDO> controlRoomDOs);

    List<ControlRoomCO> converEtoCOs(List<ControlRoomE> controlRoomE);

    ControlRoomE converDOtoE(ControlRoomDO controlRoomDO);

    ControlRoomCO converEtoCO(ControlRoomE controlRoomE);

    ControlRoomScreenCO converDOToScreenCO(ControlRoomDO controlRoomDO);

    ResourceDeviceCO converDOtoCO(ResourceDeviceDO resourceDeviceDO);

    ResourcePersonCO converDOtoCO(ResourcePersonDO resourcePersonDO);
}

